Subject: Re: Inclusion of windows dll into cygwin code
From: "Niraj Agarwal" <[email-masked]>
To: "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Thu, 29 Aug 2002 15:35:33 +0530

Hi Larry,

The reuse of rebasing the oracle and cygwin dll helped in solving the problem.

Niraj
----- Original Message ----- 
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Niraj Agarwal" <[email-masked]>; "cygwin" <[email-masked]>
Sent: Thursday, August 29, 2002 6:12 AM
Subject: Re: Inclusion of windows dll into cygwin code

> At 11:30 AM 8/28/2002, Niraj Agarwal wrote:
> >Hi All,
> >
> >Please find the attached code and make file. 
> >
> >I am trying to use Oracle DLL into my c program using a proc.
> >
> >Everthing is going smoothly and i am able to generate the exe.
> >
> >As i run the exe i am getting this error.
> >
> >m.AllocationBase 0x0, m.BaseAddress 0x61560000, m.RegionSize 0x1A0000, m.State 0
> >x10000
> >c:\Client_Projects\ProactNes_Porting\src\compilationFolder\TestFolder\NirajNew\m
> >y_example.exe: *** Couldn't reserve space for cygwin's heap (0x61560000 <0x10000
> >00>) in child, Win32 error 6
> >
> >
> >If i try to execute the same using gdb it give additional information also.
> >"Oracle_HOME/bin/orasql8.dll" error reading line number
> >................................same for other dllls.
> >
> >
> >
> >Please help me in this regard by solving the problem.
> 
> 
> This is not a problem.  It just means that the DLL has no debug symbols 
> that gdb understands.  This is expected.  gdb doesn't know about the VC++
> debug symbol format.  Just debug your program and ignore this warning.
> 
> 
> 
> >Best Regards,
> >Niraj Agaral
> >
> >
> >
> >
> >
> >----- Original Message ----- 
> >From: "Niraj Agarwal" <[email-masked]>
> >To: "cygwin" <[email-masked]>
> >Sent: Wednesday, August 28, 2002 8:22 PM
> >Subject: Re: Inclusion of windows dll into cygwin code
> >
> >
> > > Hi All,
> > > 
> > > Let me explain the problem.
> > > 
> > > I have a compiled a dll into windows environment using VC++ compiler. I have written my main function in c which should use this dll. I would like to compile the code using gcc. I have tried to use the export dll concept explained in cygwin user guide but that is not working for my case and generating ld error.
> > > 
> > > 
> > > Regards,
> > > Niraj Agarwal
> > > ----- Original Message ----- 
> > > From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
> > > To: "Niraj Agarwal" <[email-masked]>; "cygwin" <[email-masked]>
> > > Sent: Wednesday, August 28, 2002 8:07 PM
> > > Subject: Re: Inclusion of windows dll into cygwin code
> > > 
> > > 
> > > > At 10:36 AM 8/28/2002, Niraj Agarwal wrote:
> > > > >Hi All,
> > > > >
> > > > >Can any body help me in including windows dll into the code compiled in cygwin environment?
> > > > 
> > > > 
> > > > I expect the answer is yes but you'll need to post the details of your 
> > > > situation and the specific problem before anyone here can take a stab at
> > > > it.
> > > > 
> > > > Sorry if this sounds obvious but sometimes a statement of the obvious is 
> > > > necessary to get things started.
> > > > 
> > > > 
> > > > Larry Hall                              [email-masked]
> > > > RFK Partners, Inc.                      http://www.rfk.com
> > > > 838 Washington Street                   (508) 893-9779 - RFK Office
> > > > Holliston, MA 01746                     (508) 893-9889 - 
> > > 
> >
> >
> >--------------------------------------------------------------------------------
> >
> >
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Bug reporting:         http://cygwin.com/bugs.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> >
> >
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/ 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/